# Generated by Django 2.2 on 2019-07-17 12:48

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import bds.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [migrations.swappable_dependency(settings.AUTH_USER_MODEL)]

    operations = [
        migrations.CreateModel(
            name="BDSProfile",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "phone",
                    models.CharField(
                        blank=True, max_length=20, verbose_name="téléphone"
                    ),
                ),
                (
                    "occupation",
                    models.CharField(
                        choices=[
                            ("EXT", "Extérieur"),
                            ("1A", "1A"),
                            ("2A", "2A"),
                            ("3A", "3A"),
                            ("4A", "4A"),
                            ("MAG", "Magistérien"),
                            ("ARC", "Archicube"),
                            ("DOC", "Doctorant"),
                            ("CST", "CST"),
                            ("PER", "Personnel ENS"),
                        ],
                        default="1A",
                        max_length=3,
                        verbose_name="occupation",
                    ),
                ),
                (
                    "departement",
                    models.CharField(
                        blank=True, max_length=50, verbose_name="département"
                    ),
                ),
                (
                    "birthdate",
                    models.DateField(
                        blank=True, null=True, verbose_name="date de naissance"
                    ),
                ),
                (
                    "mails_bds",
                    models.BooleanField(
                        default=False, verbose_name="recevoir les mails du BDS"
                    ),
                ),
                (
                    "is_buro",
                    models.BooleanField(
                        default=False, verbose_name="membre du Burô du BDS"
                    ),
                ),
                (
                    "has_certificate",
                    models.BooleanField(
                        default=False, verbose_name="certificat médical"
                    ),
                ),
                (
                    "certificate_file",
                    models.FileField(
                        blank=True,
                        upload_to=bds.models.BDSProfile.get_certificate_filename,
                        verbose_name="fichier de certificat médical",
                    ),
                ),
                (
                    "ASPSL_number",
                    models.CharField(
                        blank=True,
                        max_length=50,
                        null=True,
                        verbose_name="numéro AS PSL",
                    ),
                ),
                (
                    "FFSU_number",
                    models.CharField(
                        blank=True, max_length=50, null=True, verbose_name="numéro FFSU"
                    ),
                ),
                (
                    "cotisation_period",
                    models.CharField(
                        choices=[
                            ("ANN", "Année"),
                            ("SE1", "Premier semestre"),
                            ("SE2", "Deuxième semestre"),
                            ("NO", "Aucune"),
                        ],
                        default="NO",
                        max_length=3,
                        verbose_name="inscription",
                    ),
                ),
                (
                    "registration_date",
                    models.DateField(
                        auto_now_add=True, verbose_name="date d'inscription"
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="bds",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Profil BDS",
                "verbose_name_plural": "Profils BDS",
            },
        )
    ]
